halapi hierarchichalalignmentformatapi

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
hal::StaticBottomSegment< NumChildren > Class Template Reference

`#include <staticBottomSegment.h>`

Inheritance diagram for hal::StaticBottomSegment< NumChildren >:

List of all members.

## Public Member Functions
int | getNumChildren () const
segidx_t | getChildIndex (int i) const
bool | getReverseComp (int i) const
## Protected Attributes
segidx_t | _childSegIndex [NumChildren]
bool | _reverseComplement [NumChildren]

## Detailed Description

### template<int NumChildren>
class hal::StaticBottomSegment< NumChildren >

Templated implementation of a "Bottom" DNA segment Useful for small number of children (saves calls to malloc)

## Member Function Documentation

template<int NumChildren>

segidx_t hal::StaticBottomSegment< NumChildren >::getChildIndex | ( | int | i | ) | const`[virtual]`

Get segment index for top array of ith child array

Implements hal::BottomSegment.

template<int NumChildren>

int hal::StaticBottomSegment< NumChildren >::getNumChildren | ( |  | ) | const`[virtual]`

Number of descent edges to children (any of these can still be null values

Implements hal::BottomSegment.

template<int NumChildren>

bool hal::StaticBottomSegment< NumChildren >::getReverseComp | ( | int | i | ) | const`[virtual]`

Get reverse complement flag for ith child index

Implements hal::BottomSegment.

The documentation for this class was generated from the following file:

- inc/staticBottomSegment.h

All Classes Functions Variables